VMTKMESHCLIPCENTERLINES(1)

NAME
vmtkmeshclipcenterlines - vmtk script vmtkmeshclipcenterlines

DESCRIPTION
Automatic piping vmtkmeshclipcenterlines Parsing options vmtkmeshclipcenterlines

vmtkmeshclipcenterlines : interactively clip a mesh using the distance

    to centerlines

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile MeshInputFileName (str,1): filename for the default Mesh

    reader

-centerlines Centerlines (vtkPolyData,1)

-centerlinesfile CenterlinesInputFileName (str,1): filename for the

    default Centerlines reader

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius

-polyballtype PolyBallType (int,1); default=0: type of polyball

    used (0: global, 1: local)

-polyballres PolyBallResolution (int,3); default=[32, 32, 32]: grid

    resolution for displaying the polyball

-insideout InsideOut (bool,1); default=1: choose whether to clip

    the inside or outside of the polyball

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds

-wallid WallCellEntityId (int,1); default=1: id of the first

    surface cells in the entityids list

-tol Tolerance (float,1); default=-1.0: tolerance used to reproject

    the entity ids on the new surface

-ofile MeshOutputFileName (str,1): filename for the default Mesh

    writer

-clippedmeshfile ClippedMeshOutputFileName (str,1): filename for

    the default ClippedMesh writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Mesh (vtkUnstructuredGrid,1): the output mesh

-clippedmesh ClippedMesh (vtkUnstructuredGrid,1): the clipped mesh